Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Mon, 23 Jul 2018 08:50:50 +0200

> You can still select the widgets by the usual M-` or <f10> followed by
 > arrow keys or similar - I don't think there's a key bound to scrolling
 > the menu bar by default but there's no reason we couldn't bind suitable
 > keys.

OK.  We can look into that after you have implemented it.

 >> (emacs25:16785): Gtk-WARNING **: Attempting to add a widget with type
 >> GtkBox to a GtkMenuItem, but as a GtkBin subclass a GtkMenuItem can only
 >> contain one widget at a time; it already contains a widget of type
 >> GtkAccelLabel
 >>
 >> from Bug#28106 points at us doing something silly when adding a menu
 >> item and
 >
 > Probably unrelated. Souns like adding a a menu item into a "slot"
 > in the menu where an item already exists. I can have a look
 > but unless it turns out to be straightforward I won't have a much
 > time for this for at least a couple of weeks.

Sounds like we are exposing to Elisp something GTK woulnd't allow us
to do.  Maybe someone finds a more straightforward way to reproduce
this.

 >> (emacs25:16785): Gtk-CRITICAL **: gtk_device_grab_add: assertion
 >> 'GDK_IS_DEVICE (device)' failed
 >>
 >> seems completely unrelated but who knows ...
 >
 > Also unrelated, I would say. I have less idea about what could
 > cause this one.

I have no idea at all.  For me Gtk-CRITICAL usually is a synonym for
Gtk-CRYPTICAL.

martin